Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001689opensim[REGION] OpenSim Corepublic2008-07-08 00:442009-05-31 16:58
ReporterZaki 
Assigned ToDrScofield 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001689: AsteriskVoice plugin: private chat feature
DescriptionThe original AsteriskVoice plugin does not directly support private chat. With the patch supplied below and the new version of voiceforvw (sourceforge) both conference and private chats are supported.
Additional InformationRequested changes are detailed below:
- AsteriskVoiceModule.cs: Add new CAPS to show private chat support towards the client
- asterisk-opensim.py: Remove Base64 decoding of user UUID for the private chat registrations
- create-user.sql: Dialplan change to not do automatic confirmation of incoming call (this is taken care of by the voiceforvw module), Also the parameter
- create-region.sql: Change the parameter of Meetme
- create-tables.sql: Set default for columns not inserted directly into as not having them results in errors in MySQL strict mode.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon asteriskvoice_patch_lf.patch [^] (7,889 bytes) 2008-07-08 00:44 [Show Content]
patch file icon asteriskvoice_patch_2_lf.patch [^] (7,969 bytes) 2008-07-08 18:00 [Show Content]

- Relationships

-  Notes
(0003562)
DrScofield (manager)
2008-07-08 04:28
edited on: 2008-07-08 04:29

the patch to OpenSim/Region/Environment/Modules/Avatar/Voice/AsterixVoice/AsteriskVoiceModule.cs looks ok --- indentation is broken though, should be fixed first.

not happy about storing the base64 coded UUID instead of the decoded UUID in the asterisk DB, though. makes it more difficult to debug.

(0003578)
Zaki (reporter)
2008-07-08 18:07

Sorry, you are right, the indentation was off. Fixed and uploaded the new version, please give it a check.

As for the encoded UUID, a new version of the python server will be uploaded in the future, as we discussed earlier. At that time, I'll try to resolve this issue too, but for the moment, showing something that works with both conference and private chat was the priority, so that we can have feedback from the community.
(0005274)
DrScofield (manager)
2008-09-14 11:25

i'm still not happy about using the base64 coded UUID, can you revert to using the decoded UUID?
(0010948)
Zaki (reporter)
2009-04-24 01:02

With the inclusion of the new FreeSWITCH module, this patch lost its validity. I'm closing it so that it does not clutter the OpenSim mantis.

- Issue History
Date Modified Username Field Change
2008-07-08 00:44 Zaki New Issue
2008-07-08 00:44 Zaki File Added: asteriskvoice_patch_lf.patch
2008-07-08 00:44 Zaki SVN Revision => 5377
2008-07-08 00:44 Zaki Run Mode => Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2008-07-08 00:44 Zaki Physics Engine => BasicPhysics
2008-07-08 00:44 Zaki Environment => Unknown
2008-07-08 04:28 DrScofield Note Added: 0003562
2008-07-08 04:29 DrScofield Note Edited: 0003562
2008-07-08 18:00 Zaki File Added: asteriskvoice_patch_2_lf.patch
2008-07-08 18:07 Zaki Note Added: 0003578
2008-09-14 11:25 DrScofield Note Added: 0005274
2008-09-14 11:26 DrScofield Assigned To => DrScofield
2008-09-14 11:26 DrScofield Status new => patch feedback
2009-04-24 01:02 Zaki Mono Version => None
2009-04-24 01:02 Zaki Status patch feedback => resolved
2009-04-24 01:02 Zaki Resolution open => won't fix
2009-04-24 01:02 Zaki Note Added: 0010948
2009-05-31 16:58 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker